View Issue Details

IDProjectCategoryView StatusLast Update
0004452Slicer4Core: Base Codepublic2017-10-27 12:05
ReporterpieperAssigned Tojcfr 
PrioritynormalSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
PlatformmacOSOS Version10.12.6
Product Version 
Target VersionFixed in VersionSlicer 4.9.0 
Summary0004452: numpy build error - looks for fortran compiler
Description

CMAKE_OSX_DEPLOYMENT_TARGET:STRING=10.13

Steps To Reproduce

Normal build results in error below.

Additional Information
[ 28%] Performing configure step for 'NUMPY'
-- NUMPY: Removing 'configure' log files
-- NUMPY: NUMPY_WORKING_DIR: /Users/pieper/slicer4/latest/Slicer-superbuild/NUMPY
-- NUMPY: /Users/pieper/slicer4/latest/Slicer-superbuild/python-install/bin/SlicerPython;setup.py;config
-- NUMPY: 'configure' step successfully completed.
[ 28%] Performing build step for 'NUMPY'
-- NUMPY: Removing 'build' log files
-- NUMPY: NUMPY_WORKING_DIR: /Users/pieper/slicer4/latest/Slicer-superbuild/NUMPY
-- NUMPY: /Users/pieper/slicer4/latest/Slicer-superbuild/python-install/bin/SlicerPython;setup.py;build;--fcompiler=none
-- NUMPY: Errors detected - See below.
blas_opt_info:
blas_mkl_info:
  libraries mkl_rt not found in ['/Users/pieper/slicer4/latest/Slicer-superbuild/python-install/lib', '/usr/local/lib', '/usr/lib']
  NOT AVAILABLE

blis_info:
  libraries blis not found in ['/Users/pieper/slicer4/latest/Slicer-superbuild/python-install/lib', '/usr/local/lib', '/usr/lib']
  NOT AVAILABLE

openblas_info:
  libraries openblas not found in ['/Users/pieper/slicer4/latest/Slicer-superbuild/python-install/lib', '/usr/local/lib', '/usr/lib']
  NOT AVAILABLE

atlas_3_10_blas_threads_info:
Setting PTATLAS=ATLAS
Disabled atlas_3_10_blas_threads_info: (ATLAS is None)
  libraries tatlas not found in []
  NOT AVAILABLE

atlas_3_10_blas_info:
Disabled atlas_3_10_blas_info: (ATLAS is None)
  libraries satlas not found in []
  NOT AVAILABLE

atlas_blas_threads_info:
Setting PTATLAS=ATLAS
Disabled atlas_blas_threads_info: (ATLAS is None)
  libraries ptf77blas,ptcblas,atlas not found in []
  NOT AVAILABLE

atlas_blas_info:
Disabled atlas_blas_info: (ATLAS is None)
  libraries f77blas,cblas,atlas not found in []
  NOT AVAILABLE

  FOUND:
    extra_link_args = ['-Wl,-framework', '-Wl,Accelerate']
    define_macros = [('NO_ATLAS_INFO', 3), ('HAVE_CBLAS', None)]
    extra_compile_args = ['-msse3', '-I/System/Library/Frameworks/vecLib.framework/Headers']

F2PY Version 2
lapack_opt_info:
lapack_mkl_info:
  libraries mkl_rt not found in ['/Users/pieper/slicer4/latest/Slicer-superbuild/python-install/lib', '/usr/local/lib', '/usr/lib']
  NOT AVAILABLE

openblas_lapack_info:
  libraries openblas not found in ['/Users/pieper/slicer4/latest/Slicer-superbuild/python-install/lib', '/usr/local/lib', '/usr/lib']
  NOT AVAILABLE

atlas_3_10_threads_info:
Setting PTATLAS=ATLAS
Disabled atlas_3_10_threads_info: (ATLAS is None)
<class 'numpy.distutils.system_info.atlas_3_10_threads_info'>
  NOT AVAILABLE

atlas_3_10_info:
Disabled atlas_3_10_info: (ATLAS is None)
<class 'numpy.distutils.system_info.atlas_3_10_info'>
  NOT AVAILABLE

atlas_threads_info:
Setting PTATLAS=ATLAS
Disabled atlas_threads_info: (ATLAS is None)
<class 'numpy.distutils.system_info.atlas_threads_info'>
  NOT AVAILABLE

atlas_info:
Disabled atlas_info: (ATLAS is None)
<class 'numpy.distutils.system_info.atlas_info'>
  NOT AVAILABLE

  FOUND:
    extra_link_args = ['-Wl,-framework', '-Wl,Accelerate']
    define_macros = [('NO_ATLAS_INFO', 3), ('HAVE_CBLAS', None)]
    extra_compile_args = ['-msse3']

running build
running config_cc
unifing config_cc, config, build_clib, build_ext, build commands --compiler options
running config_fc
unifing config_fc, config, build_clib, build_ext, build commands --fcompiler options
running build_src
build_src
building py_modules sources
building library "npymath" sources
customize NoneFCompiler

Running from numpy source directory.
/Users/pieper/slicer4/latest/Slicer-superbuild/python-install/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'define_macros'
  warnings.warn(msg)
Traceback (most recent call last):
  File "setup.py", line 392, in <module>
    setup_package()
  File "setup.py", line 384, in setup_package
    setup(**metadata)
  File "/Users/pieper/slicer4/latest/Slicer-superbuild/NUMPY/numpy/distutils/core.py", line 169, in setup
    return old_setup(**new_attr)
  File "/Users/pieper/slicer4/latest/Slicer-superbuild/python-install/lib/python2.7/distutils/core.py", line 151, in setup
    dist.run_commands()
  File "/Users/pieper/slicer4/latest/Slicer-superbuild/python-install/lib/python2.7/distutils/dist.py", line 953, in run_commands
    self.run_command(cmd)
  File "/Users/pieper/slicer4/latest/Slicer-superbuild/python-install/lib/python2.7/distutils/dist.py", line 972, in run_command
    cmd_obj.run()
  File "/Users/pieper/slicer4/latest/Slicer-superbuild/NUMPY/numpy/distutils/command/build.py", line 47, in run
    old_build.run(self)
  File "/Users/pieper/slicer4/latest/Slicer-superbuild/python-install/lib/python2.7/distutils/command/build.py", line 127, in run
    self.run_command(cmd_name)
  File "/Users/pieper/slicer4/latest/Slicer-superbuild/python-install/lib/python2.7/distutils/cmd.py", line 326, in run_command
    self.distribution.run_command(command)
  File "/Users/pieper/slicer4/latest/Slicer-superbuild/python-install/lib/python2.7/distutils/dist.py", line 972, in run_command
    cmd_obj.run()
  File "/Users/pieper/slicer4/latest/Slicer-superbuild/NUMPY/numpy/distutils/command/build_src.py", line 148, in run
    self.build_sources()
  File "/Users/pieper/slicer4/latest/Slicer-superbuild/NUMPY/numpy/distutils/command/build_src.py", line 159, in build_sources
    self.build_library_sources(*libname_info)
  File "/Users/pieper/slicer4/latest/Slicer-superbuild/NUMPY/numpy/distutils/command/build_src.py", line 294, in build_library_sources
    sources = self.generate_sources(sources, (lib_name, build_info))
  File "/Users/pieper/slicer4/latest/Slicer-superbuild/NUMPY/numpy/distutils/command/build_src.py", line 377, in generate_sources
    source = func(extension, build_dir)
  File "numpy/core/setup.py", line 672, in get_mathlib_info
    st = config_cmd.try_link('int main(void) { return 0;}')
  File "/Users/pieper/slicer4/latest/Slicer-superbuild/python-install/lib/python2.7/distutils/command/config.py", line 248, in try_link
    self._check_compiler()
  File "/Users/pieper/slicer4/latest/Slicer-superbuild/NUMPY/numpy/distutils/command/config.py", line 84, in _check_compiler
    if self.fcompiler.get_version():
  File "/Users/pieper/slicer4/latest/Slicer-superbuild/NUMPY/numpy/distutils/fcompiler/__init__.py", line 434, in get_version
    raise CompilerNotFound()
numpy.distutils.fcompiler.CompilerNotFound

CMake Error at /Users/pieper/slicer4/latest/Slicer/CMake/ExternalProjectForNonCMakeProject.cmake:76 (message):
  NUMPY: Error in build step.  See
  /Users/pieper/slicer4/latest/Slicer-superbuild/NUMPY_build_step_output.txt
  and
  /Users/pieper/slicer4/latest/Slicer-superbuild/NUMPY_build_step_error.txt
Call Stack (most recent call first):
  /Users/pieper/slicer4/latest/Slicer-superbuild/NUMPY_build_step.cmake:3 (ExternalProject_Execute)

make[2]: *** [NUMPY-prefix/src/NUMPY-stamp/NUMPY-build] Error 1
make[1]: *** [CMakeFiles/NUMPY.dir/all] Error 2
make: *** [all] Error 2
TagsNo tags attached.

Relationships

related to 0004453 closedjcfr numpy build error - patch failed 

Activities

pieper

pieper

2017-10-05 17:00

administrator   ~0015266

This issue persists even after deleting all the NUMPY related files and rebuilding.

pieper

pieper

2017-10-10 13:44

administrator   ~0015279

Building with 10.9 on same machine does not have the build error.

lassoan

lassoan

2017-10-26 17:05

developer   ~0015358

Last edited: 2017-10-26 19:08

View 2 revisions

I have this issue on Windows, too (see log below). Slicer is still built.

49>  -- NUMPY: Errors detected - See below.
49>  blas_opt_info:
49>  blas_mkl_info:
49>    libraries mkl_rt not found in ['C:/D/S4R/python-install\\lib', 'C:\\', 'C:\\D\\S4R\\python-install\\libs']
49>    NOT AVAILABLE
49>  
49>  blis_info:
49>    libraries blis not found in ['C:/D/S4R/python-install\\lib', 'C:\\', 'C:\\D\\S4R\\python-install\\libs']
49>    NOT AVAILABLE
49>  
49>  openblas_info:
49>    libraries openblas not found in ['C:/D/S4R/python-install\\lib', 'C:\\', 'C:\\D\\S4R\\python-install\\libs']
49>    NOT AVAILABLE
49>  
49>  atlas_3_10_blas_threads_info:
49>  Setting PTATLAS=ATLAS
49>  Disabled atlas_3_10_blas_threads_info: (ATLAS is None)
49>    libraries tatlas not found in []
49>    NOT AVAILABLE
49>  
49>  atlas_3_10_blas_info:
49>  Disabled atlas_3_10_blas_info: (ATLAS is None)
49>    libraries satlas not found in []
49>    NOT AVAILABLE
49>  
49>  atlas_blas_threads_info:
49>  Setting PTATLAS=ATLAS
49>  Disabled atlas_blas_threads_info: (ATLAS is None)
49>    libraries ptf77blas,ptcblas,atlas not found in []
49>    NOT AVAILABLE
49>  
49>  atlas_blas_info:
49>  Disabled atlas_blas_info: (ATLAS is None)
49>    libraries f77blas,cblas,atlas not found in []
49>    NOT AVAILABLE
49>  
49>  blas_info:
49>  Disabled blas_info: (BLAS is None)
49>    libraries blas not found in []
49>    NOT AVAILABLE
49>  
49>  blas_src_info:
49>    NOT AVAILABLE
49>  
49>    NOT AVAILABLE
49>  
49>  F2PY Version 2
49>  lapack_opt_info:
49>  lapack_mkl_info:
49>    libraries mkl_rt not found in ['C:/D/S4R/python-install\\lib', 'C:\\', 'C:\\D\\S4R\\python-install\\libs']
49>    NOT AVAILABLE
49>  
49>  openblas_lapack_info:
49>    libraries openblas not found in ['C:/D/S4R/python-install\\lib', 'C:\\', 'C:\\D\\S4R\\python-install\\libs']
49>    NOT AVAILABLE
49>  
49>  atlas_3_10_threads_info:
49>  Setting PTATLAS=ATLAS
49>  Disabled atlas_3_10_threads_info: (ATLAS is None)
49>  <class 'numpy.distutils.system_info.atlas_3_10_threads_info'>
49>    NOT AVAILABLE
49>  
49>  atlas_3_10_info:
49>  Disabled atlas_3_10_info: (ATLAS is None)
49>  <class 'numpy.distutils.system_info.atlas_3_10_info'>
49>    NOT AVAILABLE
49>  
49>  atlas_threads_info:
49>  Setting PTATLAS=ATLAS
49>  Disabled atlas_threads_info: (ATLAS is None)
49>  <class 'numpy.distutils.system_info.atlas_threads_info'>
49>    NOT AVAILABLE
49>  
49>  atlas_info:
49>  Disabled atlas_info: (ATLAS is None)
49>  <class 'numpy.distutils.system_info.atlas_info'>
49>    NOT AVAILABLE
49>  
49>  lapack_info:
49>  Disabled lapack_info: (LAPACK is None)
49>    libraries lapack not found in []
49>    NOT AVAILABLE
49>  
49>  lapack_src_info:
49>    NOT AVAILABLE
49>  
49>    NOT AVAILABLE
49>  
49>  running build
49>  running config_cc
49>  unifing config_cc, config, build_clib, build_ext, build commands --compiler options
49>  running config_fc
49>  unifing config_fc, config, build_clib, build_ext, build commands --fcompiler options
49>  running build_src
49>  build_src
49>  building py_modules sources
49>  creating build
49>  creating build\src.win-amd64-2.7
49>  creating build\src.win-amd64-2.7\numpy
49>  creating build\src.win-amd64-2.7\numpy\distutils
49>  building library "npymath" sources
49>  customize NoneFCompiler
49>  
49>  Running from numpy source directory.
49>  C:\D\S4R\NUMPY\numpy\distutils\system_info.py:572: UserWarning: 
49>      Atlas (http://math-atlas.sourceforge.net/) libraries not found.
49>      Directories to search for the libraries can be specified in the
49>      numpy/distutils/site.cfg file (section [atlas]) or by setting
49>      the ATLAS environment variable.
49>    self.calc_info()
49>  C:\D\S4R\NUMPY\numpy\distutils\system_info.py:572: UserWarning: 
49>      Blas (http://www.netlib.org/blas/) libraries not found.
49>      Directories to search for the libraries can be specified in the
49>      numpy/distutils/site.cfg file (section [blas]) or by setting
49>      the BLAS environment variable.
49>    self.calc_info()
49>  C:\D\S4R\NUMPY\numpy\distutils\system_info.py:572: UserWarning: 
49>      Blas (http://www.netlib.org/blas/) sources not found.
49>      Directories to search for the sources can be specified in the
49>      numpy/distutils/site.cfg file (section [blas_src]) or by setting
49>      the BLAS_SRC environment variable.
49>    self.calc_info()
49>  C:\D\S4R\NUMPY\numpy\distutils\system_info.py:572: UserWarning: 
49>      Lapack (http://www.netlib.org/lapack/) libraries not found.
49>      Directories to search for the libraries can be specified in the
49>      numpy/distutils/site.cfg file (section [lapack]) or by setting
49>      the LAPACK environment variable.
49>    self.calc_info()
49>  C:\D\S4R\NUMPY\numpy\distutils\system_info.py:572: UserWarning: 
49>      Lapack (http://www.netlib.org/lapack/) sources not found.
49>      Directories to search for the sources can be specified in the
49>      numpy/distutils/site.cfg file (section [lapack_src]) or by setting
49>      the LAPACK_SRC environment variable.
49>    self.calc_info()
49>  C:\D\S4R\python-install\Lib\distutils\dist.py:267: UserWarning: Unknown distribution option: 'define_macros'
49>    warnings.warn(msg)
49>  Traceback (most recent call last):
49>    File "setup.py", line 392, in <module>
49>      setup_package()
49>    File "setup.py", line 384, in setup_package
49>      setup(**metadata)
49>    File "C:\D\S4R\NUMPY\numpy\distutils\core.py", line 169, in setup
49>      return old_setup(**new_attr)
49>    File "C:\D\S4R\python-install\Lib\distutils\core.py", line 151, in setup
49>      dist.run_commands()
49>    File "C:\D\S4R\python-install\Lib\distutils\dist.py", line 953, in run_commands
49>      self.run_command(cmd)
49>    File "C:\D\S4R\python-install\Lib\distutils\dist.py", line 972, in run_command
49>      cmd_obj.run()
49>    File "C:\D\S4R\NUMPY\numpy\distutils\command\build.py", line 47, in run
49>      old_build.run(self)
49>    File "C:\D\S4R\python-install\Lib\distutils\command\build.py", line 127, in run
49>      self.run_command(cmd_name)
49>    File "C:\D\S4R\python-install\Lib\distutils\cmd.py", line 326, in run_command
49>      self.distribution.run_command(command)
49>    File "C:\D\S4R\python-install\Lib\distutils\dist.py", line 972, in run_command
49>      cmd_obj.run()
49>    File "C:\D\S4R\NUMPY\numpy\distutils\command\build_src.py", line 148, in run
49>      self.build_sources()
49>    File "C:\D\S4R\NUMPY\numpy\distutils\command\build_src.py", line 159, in build_sources
49>      self.build_library_sources(*libname_info)
49>    File "C:\D\S4R\NUMPY\numpy\distutils\command\build_src.py", line 294, in build_library_sources
49>      sources = self.generate_sources(sources, (lib_name, build_info))
49>    File "C:\D\S4R\NUMPY\numpy\distutils\command\build_src.py", line 377, in generate_sources
49>      source = func(extension, build_dir)
49>    File "numpy\core\setup.py", line 672, in get_mathlib_info
49>  CMake Error at C:/D/S4/CMake/ExternalProjectForNonCMakeProject.cmake:76 (message):
49>    NUMPY: Error in build step.  See C:/D/S4R/NUMPY_build_step_output.txt and
49>    C:/D/S4R/NUMPY_build_step_error.txt
49>  Call Stack (most recent call first):
49>    C:/D/S4R/NUMPY_build_step.cmake:3 (ExternalProject_Execute)
49>  
49>  
49>      st = config_cmd.try_link('int main(void) { return 0;}')
49>    File "C:\D\S4R\python-install\Lib\distutils\command\config.py", line 248, in try_link
49>      self._check_compiler()
49>    File "C:\D\S4R\NUMPY\numpy\distutils\command\config.py", line 84, in _check_compiler
49>      if self.fcompiler.get_version():
49>    File "C:\D\S4R\NUMPY\numpy\distutils\fcompiler\__init__.py", line 434, in get_version
49>      raise CompilerNotFound()
49>  numpy.distutils.fcompiler.CompilerNotFound
49>  
49>C:\Program Files (x86)\MSBuild\Microsoft.Cpp\v4.0\V120\Microsoft.CppCommon.targets(170,5): error MSB6006: "cmd.exe" exited with code 1.
jcfr

jcfr

2017-10-26 19:04

administrator   ~0015359

Was this a clean build ?

Following, r26336 NUMPY-*directories should be removed.

See https://discourse.slicer.org/t/runtime-warning-on-startup-in-numpy/757/19?u=jcfr

and

https://github.com/Slicer/Slicer/blob/4cc81bae9b7450b30597382b060f2775c18885ea/SuperBuild/External_NUMPY.cmake#L88-L105

jcfr

jcfr

2017-10-26 19:07

administrator   ~0015360

Last edited: 2017-10-26 19:08

View 2 revisions

This issue persists even after deleting all the NUMPY related files and rebuilding.

@pieper On macOS, what is the output of:

rm -rf  NUMPY-*
cmake .
make NUMPY/fast

I would expect an output like this one:

Creating directories for 'NUMPY'
Performing download step (download, verify and extract) for 'NUMPY'
-- Downloading...
   dst='/home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/NUMPY-prefix/src/numpy-1.13.1.zip'
   timeout='none'
-- Using src='https://pypi.python.org/packages/c0/3a/40967d9f5675fbb097ffec170f59c2ba19fc96373e73ad47c2cae9a30aed/numpy-1.13.1.zip'
-- [download 0% complete]
-- [download 1% complete]
[...]
-- [download 97% complete]
-- [download 98% complete]
-- [download 99% complete]
-- [download 100% complete]
-- verifying file...
       file='/home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/NUMPY-prefix/src/numpy-1.13.1.zip'
-- Downloading... done
-- extracting...
     src='/home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/NUMPY-prefix/src/numpy-1.13.1.zip'
     dst='/home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/NUMPY'
-- extracting... [tar xfz]
-- extracting... [analysis]
-- extracting... [rename]
-- extracting... [clean up]
-- extracting... done
Performing patch step for 'NUMPY'
-- Applying 'numpy-01-system_info-fix-clang.patch' - done                  #< -------------------------- PATCH APPLIED
-- Applying 'numpy-02-fcompiler-optional-revert-4a3fd1f.patch' - done      #< -------------------------- PATCH APPLIED
-- Applying 'numpy-03-core-getlimits-ignore-warnings.patch' - done         #< -------------------------- PATCH APPLIED
No update step for 'NUMPY'
Performing configure step for 'NUMPY'
-- NUMPY: Removing 'configure' log files
-- NUMPY: NUMPY_WORKING_DIR: /home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/NUMPY
-- NUMPY: /home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/python-install/bin/SlicerPython;setup.py;config
-- NUMPY: 'configure' step successfully completed.
Performing build step for 'NUMPY'
-- NUMPY: Removing 'build' log files
-- NUMPY: NUMPY_WORKING_DIR: /home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/NUMPY
-- NUMPY: /home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/python-install/bin/SlicerPython;setup.py;build;--fcompiler=none
[...]
jcfr

jcfr

2017-10-26 19:11

administrator   ~0015361

Last edited: 2017-10-26 19:11

View 2 revisions

Forcing the build of NUMPY caused the observer error. I will have a look.

$ make NUMPY/fast -B
Creating directories for 'NUMPY'
Performing download step (download, verify and extract) for 'NUMPY'
-- verifying file...
       file='/home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/NUMPY-prefix/src/numpy-1.13.1.zip'
-- File already exists and hash match (skip download):
  file='/home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/NUMPY-prefix/src/numpy-1.13.1.zip'
  MD5='2c3c0f4edf720c3a7b525dacc825b9ae'
-- extracting...
     src='/home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/NUMPY-prefix/src/numpy-1.13.1.zip'
     dst='/home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/NUMPY'
-- extracting... [tar xfz]
-- extracting... [analysis]
-- extracting... [rename]
-- extracting... [clean up]
-- extracting... done
Performing patch step for 'NUMPY'
-- Applying 'numpy-01-system_info-fix-clang.patch' - skipping (already applied)
-- Applying 'numpy-02-fcompiler-optional-revert-4a3fd1f.patch' - skipping (already applied)
-- Applying 'numpy-03-core-getlimits-ignore-warnings.patch' - skipping (already applied)
No update step for 'NUMPY'
Performing configure step for 'NUMPY'
-- NUMPY: Removing 'configure' log files
-- NUMPY: NUMPY_WORKING_DIR: /home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/NUMPY
-- NUMPY: /home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/python-install/bin/SlicerPython;setup.py;config
-- NUMPY: 'configure' step successfully completed.
Performing build step for 'NUMPY'
-- NUMPY: Removing 'build' log files
-- NUMPY: NUMPY_WORKING_DIR: /home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/NUMPY
-- NUMPY: /home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/python-install/bin/SlicerPython;setup.py;build;--fcompiler=none
-- NUMPY: Errors detected - See below.
blas_opt_info:
blas_mkl_info:
  libraries mkl_rt not found in ['/home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/python-install/lib', '/usr/local/lib', '/usr/lib', '/usr/lib/x86_64-linux-gnu']
  NOT AVAILABLE
[...]

lapack_src_info:
  NOT AVAILABLE

  NOT AVAILABLE

running build
running config_cc
unifing config_cc, config, build_clib, build_ext, build commands --compiler options
running config_fc
unifing config_fc, config, build_clib, build_ext, build commands --fcompiler options
running build_src
build_src
building py_modules sources
creating build
creating build/src.linux-x86_64-2.7
creating build/src.linux-x86_64-2.7/numpy
creating build/src.linux-x86_64-2.7/numpy/distutils
building library "npymath" sources
customize NoneFCompiler

Running from numpy source directory.
/home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/NUMPY/numpy/distutils/system_info.py:572: UserWarning: 
    Atlas (http://math-atlas.sourceforge.net/) libraries not found.
    Directories to search for the libraries can be specified in the
    numpy/distutils/site.cfg file (section [atlas]) or by setting
    the ATLAS environment variable.
  self.calc_info()

[...]

/home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/NUMPY/numpy/distutils/system_info.py:572: UserWarning: 
    Lapack (http://www.netlib.org/lapack/) sources not found.
    Directories to search for the sources can be specified in the
    numpy/distutils/site.cfg file (section [lapack_src]) or by setting
    the LAPACK_SRC environment variable.
  self.calc_info()
/home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/python-install/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'define_macros'
  warnings.warn(msg)
Traceback (most recent call last):
  File "setup.py", line 392, in <module>
    setup_package()
  File "setup.py", line 384, in setup_package
    setup(**metadata)
  File "/home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/NUMPY/numpy/distutils/core.py", line 169, in setup
    return old_setup(**new_attr)
  File "/home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/python-install/lib/python2.7/distutils/core.py", line 151, in setup
    dist.run_commands()
  File "/home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/python-install/lib/python2.7/distutils/dist.py", line 953, in run_commands
    self.run_command(cmd)
  File "/home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/python-install/lib/python2.7/distutils/dist.py", line 972, in run_command
    cmd_obj.run()
  File "/home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/NUMPY/numpy/distutils/command/build.py", line 47, in run
    old_build.run(self)
  File "/home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/python-install/lib/python2.7/distutils/command/build.py", line 127, in run
    self.run_command(cmd_name)
  File "/home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/python-install/lib/python2.7/distutils/cmd.py", line 326, in run_command
    self.distribution.run_command(command)
  File "/home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/python-install/lib/python2.7/distutils/dist.py", line 972, in run_command
    cmd_obj.run()
  File "/home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/NUMPY/numpy/distutils/command/build_src.py", line 148, in run
    self.build_sources()
  File "/home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/NUMPY/numpy/distutils/command/build_src.py", line 159, in build_sources
    self.build_library_sources(*libname_info)
  File "/home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/NUMPY/numpy/distutils/command/build_src.py", line 294, in build_library_sources
    sources = self.generate_sources(sources, (lib_name, build_info))
  File "/home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/NUMPY/numpy/distutils/command/build_src.py", line 377, in generate_sources
    source = func(extension, build_dir)
  File "numpy/core/setup.py", line 672, in get_mathlib_info
    st = config_cmd.try_link('int main(void) { return 0;}')
  File "/home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/python-install/lib/python2.7/distutils/command/config.py", line 248, in try_link
    self._check_compiler()
  File "/home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/NUMPY/numpy/distutils/command/config.py", line 84, in _check_compiler
    if self.fcompiler.get_version():
  File "/home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/NUMPY/numpy/distutils/fcompiler/__init__.py", line 434, in get_version
    raise CompilerNotFound()
numpy.distutils.fcompiler.CompilerNotFound

CMake Error at /home/jcfr/Projects/Slicer-2-Qt5-VTK8/CMake/ExternalProjectForNonCMakeProject.cmake:76 (message):
  NUMPY: Error in build step.  See
  /home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/NUMPY_build_step_output.txt and
  /home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/NUMPY_build_step_error.txt
Call Stack (most recent call first):
  /home/jcfr/Projects/Slicer-2-Qt5-VTK8-build/NUMPY_build_step.cmake:3 (ExternalProject_Execute)

CMakeFiles/NUMPY.dir/build.make:118: recipe for target 'NUMPY-prefix/src/NUMPY-stamp/NUMPY-build' failed
make[1]: *** [NUMPY-prefix/src/NUMPY-stamp/NUMPY-build] Error 1
Makefile:823: recipe for target 'NUMPY/fast' failed
make: *** [NUMPY/fast] Error 2
lassoan

lassoan

2017-10-26 22:14

developer   ~0015362

The error on windows only occurs when git.exe's folder is not added to PATH environment variable. In that case, there is another error as well - see https://issues.slicer.org/view.php?id=4469.

jcfr

jcfr

2017-10-27 10:55

administrator   ~0015363

This should be fixed in https://github.com/Slicer/Slicer/pull/830

jcfr

jcfr

2017-10-27 10:56

administrator   ~0015364

Integrated in r26517
See http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=26517

lassoan

lassoan

2017-10-27 12:05

developer   ~0015365

Thanks a lot Jc. I'll test it during the coming days and let you know if the issue still pops up.

Issue History

Date Modified Username Field Change
2017-10-05 14:28 pieper New Issue
2017-10-05 14:28 pieper Status new => assigned
2017-10-05 14:28 pieper Assigned To => jcfr
2017-10-05 16:40 pieper Issue cloned: 0004453
2017-10-05 16:40 pieper Relationship added related to 0004453
2017-10-05 16:45 jcfr Additional Information Updated View Revisions
2017-10-05 17:00 pieper Note Added: 0015266
2017-10-10 13:44 pieper Note Added: 0015279
2017-10-26 17:05 lassoan Note Added: 0015358
2017-10-26 17:05 lassoan Status assigned => new
2017-10-26 19:04 jcfr Note Added: 0015359
2017-10-26 19:07 jcfr Note Added: 0015360
2017-10-26 19:08 jcfr Note Edited: 0015358 View Revisions
2017-10-26 19:08 jcfr Note Edited: 0015360 View Revisions
2017-10-26 19:11 jcfr Note Added: 0015361
2017-10-26 19:11 jcfr Note Edited: 0015361 View Revisions
2017-10-26 22:14 lassoan Note Added: 0015362
2017-10-27 10:55 jcfr Status new => resolved
2017-10-27 10:55 jcfr Resolution open => fixed
2017-10-27 10:55 jcfr Fixed in Version => Slicer 4.9.0
2017-10-27 10:55 jcfr Note Added: 0015363
2017-10-27 10:56 jcfr Note Added: 0015364
2017-10-27 12:05 lassoan Note Added: 0015365